Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class SynclogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.SynclogEntry

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class SynclogEntry
    extends Id

Запись в логе обмена с сервером.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SynclogEntry()` |
  `SynclogEntry​(long number, int ucid, java.lang.String operation)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitleComment()` |
  `java.util.Date` | `getDate()` |
  `long` | `getNumber()` |
  `java.lang.String` | `getOperation()` |
  `int` | `getUsercardId()` |
  `boolean` | `isSuccess()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitleComment​(java.lang.String contractTitleComment)` |
  `void` | `setDate​(java.util.Date dt)` |
  `void` | `setNumber​(long number)` |
  `void` | `setOperation​(java.lang.String operation)` |
  `void` | `setStatus​(boolean success, java.lang.String message, java.lang.String loginfo, java.lang.Throwable t)` |
  `void` | `setSuccess​(boolean success)` |
  `void` | `setUsercardId​(int ucid)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SynclogEntry

    public SynclogEntry()

  - ### SynclogEntry

    public SynclogEntry​(long number, int ucid, java.lang.String operation)

- ## Method Details

  - ### setStatus

    public void setStatus​(boolean success, java.lang.String message, java.lang.String loginfo, java.lang.Throwable t)

  - ### getNumber

    public long getNumber()

  - ### setNumber

    public void setNumber​(long number)

  - ### getUsercardId

    public int getUsercardId()

  - ### setUsercardId

    public void setUsercardId​(int ucid)

  - ### getOperation

    public java.lang.String getOperation()

  - ### setOperation

    public void setOperation​(java.lang.String operation)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date dt)

  - ### isSuccess

    public boolean isSuccess()

  - ### setSuccess

    public void setSuccess​(boolean success)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getContractTitleComment

    public java.lang.String getContractTitleComment()

  - ### setContractTitleComment

    public void setContractTitleComment​(java.lang.String contractTitleComment)

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractId

    public int getContractId()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`